Advertising (This ad goes away for registered users. You can Login or Register)

PSV Required Firmware List - Need Volunteers

Discuss official PS Vita games here
roneyizpie
Posts: 1
Joined: Mon Dec 10, 2012 1:49 pm

Re: PSV Required Firmware List - Need Volunteers

Post by roneyizpie » Sat Oct 22, 2016 3:08 pm

World of Final Fantasy needs 3.61 according to the demo, which is a huge bummer. I was really looking forward to this so hopefully there is a bypass or something :/
Advertising

User avatar
HarmfulMushroom
Posts: 755
Joined: Wed Dec 25, 2013 10:02 pm

Re: PSV Required Firmware List - Need Volunteers

Post by HarmfulMushroom » Tue Oct 25, 2016 8:10 pm

Yomawari Night Alone comes with 3.60 update. For those of you hoping to actually play it, make sure you are running 3.60. For those of you looking for a copy of a game which ships with 3.60 go buy this game. And then play it because it looks mad fun.

EDIT: this game is shipping with different firmwares depending on the region. I forgot to come back to this, but I've been made aware that the EU copy ships with 3.61. This copy I have is from the US.
Advertising
Last edited by HarmfulMushroom on Thu Nov 10, 2016 9:22 pm, edited 1 time in total.

655321
Posts: 9
Joined: Sun Nov 04, 2012 7:19 pm

Re: PSV Required Firmware List - Need Volunteers

Post by 655321 » Tue Oct 25, 2016 11:54 pm

Anyone know what Dragon Quest Builders requires?

alsaro6614
Posts: 1
Joined: Thu Nov 10, 2016 4:35 pm

Re: PSV Required Firmware List - Need Volunteers

Post by alsaro6614 » Thu Nov 10, 2016 4:42 pm

lego star wars the force awakens have a firmware 3.60

30Wditch
Posts: 71
Joined: Fri Feb 03, 2012 2:57 pm

Re: PSV Required Firmware List - Need Volunteers

Post by 30Wditch » Thu Nov 10, 2016 8:09 pm

HarmfulMushroom wrote:Yomawari Night Alone comes with 3.60 update. For those of you hoping to actually play it, make sure you are running 3.60. For those of you looking for a copy of a game which ships with 3.60 go buy this game. And then play it because it looks mad fun.
My copy I ordered from the uk shipped with 3.61

User avatar
HarmfulMushroom
Posts: 755
Joined: Wed Dec 25, 2013 10:02 pm

Re: PSV Required Firmware List - Need Volunteers

Post by HarmfulMushroom » Thu Nov 10, 2016 9:22 pm

30Wditch wrote:
HarmfulMushroom wrote:Yomawari Night Alone comes with 3.60 update. For those of you hoping to actually play it, make sure you are running 3.60. For those of you looking for a copy of a game which ships with 3.60 go buy this game. And then play it because it looks mad fun.
My copy I ordered from the uk shipped with 3.61
Thanks for the heads up, I was not lying with my version but I forgot to come back to my original post. I noticed a lot of noise from this game because depending on the region it may have a different firmware requirement.

30Wditch
Posts: 71
Joined: Fri Feb 03, 2012 2:57 pm

Re: PSV Required Firmware List - Need Volunteers

Post by 30Wditch » Thu Nov 10, 2016 11:08 pm

I am really looking forward playing this one, and was hoping for Firmware a 3.60 requirement when I preordered the game. But maybe in the future of henkaku

MobCat
Posts: 7
Joined: Tue Dec 27, 2016 12:36 am

Re: PSV Required Firmware List - Need Volunteers

Post by MobCat » Sun Jan 01, 2017 3:25 pm

Woh this is a big thread and i'm not 100% sure if its still being updated but yeah hear is my list if it still being updated ill keep adding titles and i download and test more games also i got the minimum fw numbers from the param.sfo but i had to google the regions

Attack on Titan - 3.60 (PRC)
GOD EATER RESURRECTION - 3.60 (US)
Gundam Breaker 3 - 3.57 (PRC)
Sword Art Online: Hollow Realization - 3.61 (EU) (This may be abale to be patched to 3.60 i had a crack at it but i couldent get past the c-xxx.. error thing)
Taiko no Tatsujin V Version - 3.50 (JP)
The Legend of Heroes: Trails of Cold Steel - 3.55 (US)
Tokyo Xanadu - 3.52 (JP)
BlazBlue Chrono Phantasma - 3.12 (US)
Dungeon Travelers 2: The Royal Library & The Monster Seal - 3.50 (US)
Hyperdimension Neptunia PP - 3.01? (EU)
DJ MAX Technika Tune - 1.80 (US)

Hyperdimension Neptunia PP has a ? because i don't think 3.01 is a real fw i think the game just wants you to have higher then 3.00??

User avatar
fate6
Big Beholder
Posts: 7561
Joined: Fri Mar 09, 2012 1:18 am
Location: [fate6@Canterlot ~]$

Re: PSV Required Firmware List - Need Volunteers

Post by fate6 » Mon Jan 02, 2017 4:46 pm

The minimum firmware version is based on the SDK version the game is compiled against so its very possible 3.01 was a real firmware just was never released for retail systems.

EDIT: Some googlein tells me 3.01 was in fact a released firmware
12/10/2013

System stability has been improved.
Image
anon wrote:If you can't trust a 600 year old vampire in a prepubescent girl's body, who can you trust?

Oeli
Posts: 4
Joined: Sun Jun 28, 2015 5:40 am

Re: PSV Required Firmware List - Need Volunteers

Post by Oeli » Wed Nov 15, 2017 6:51 pm

655321 wrote:Anyone know what Dragon Quest Builders requires?

No one? I'd like to know too.

Post Reply

Return to “Games”